npm 发布的版本如何配置升级?

我自己写了一个模块,在package.json中,定义了版本号:

"version": "0.0.1"

最后执行了 npm publish 进行发布。

安装这个模块的时候, npm install xxx -D,发现在 package.json 中,显示为

 "xxx": "0.0.1"

但是我看别的模块,版本号都是有 ^的,支持升级,这个请问需要怎么配置呢?

回复
阅读 2.1k
2 个回答

我知道问题了。

版本号需要语义化处理。需要支持^升级,版本号最小是 0.1.0。主版本可以为0,但次版本至少是1,此时才支持修订版本升级。

使用语义化版本命令后publish即可

npm version <version-type>

例如 npm version 1.0.1

撰写回答
你尚未登录,登录后可以
  • 和开发者交流问题的细节
  • 关注并接收问题和回答的更新提醒
  • 参与内容的编辑和改进,让解决方法与时俱进
推荐问题
宣传栏